/*
 * To change this template, choose Tools | Templates
 * and open the template in the editor.
 */

package inventario.facade.remote;

import inventario.entity.Category;
import java.util.List;
import javax.ejb.Remote;

/**
 *
 * @author Daniel
 */
@Remote
public interface CategoryFacadeRemote {

    void create(Category category);

    void edit(Category category);

    void remove(Category category);

    Category find(Object id);

    List<Category> findAll();

}
